class BatchContainerComponentsController < ApplicationController

  def self.set_target_before
    super + [:image]
  end

  model_data_store(BatchContainerComponent,
                   {create: false, read: true, update: false, delete: false, index: true},
                   {create: false, read: false, update: false, delete: false, index: false})

  def image
    if @model.component_image&.attached?
      response.headers["Content-Type"] = @model.component_image.content_type
      @model.component_image.download do |chunk|
        response.stream.write(chunk)
      end
    else
      head :no_content
    end
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:batch_component).permit(:priority, :x, :y, :width, :height, :z_index, :aspect_ratio, :batch_container_id)
  end
end

