class BatchesController < ApplicationController
  def index
    resp = RxModule::Communicator.call_module_method(
      'rx_data',
      "#{rx_data_batch_base_url}",
      :get,
      params.as_json
    )
    render json: resp
  rescue => e
    render json: {error: "Internal Server Error", details: e}, status: :internal_server_error
  end

  def show
    resp = RxModule::Communicator.call_module_method(
      'rx_data',
      "#{rx_data_batch_base_url}/#{params[:id]}", :get
    )
    render json: resp
  rescue
    render json: {error: "Internal Server Error"}, status: :internal_server_error
  end

  def get_rx_data_batch
    batch_id = params[:batch_id]
    resp = RxModule::Communicator.call_module_method(
      "rx_data",
      "#{rx_data_batch_base_url}/batch_data_as_json",
      :get,
      {
        batch_id: batch_id
      }
    )
    return render json: resp, status: :unprocessable_entity if !resp[:error].nil?
    render json: resp, status: :ok
  end

   def get_batch_by_job_number
     batch_process = BatchProcess.find(params[:process_id])
     resp = RxModule::Communicator.call_module_method(
       'rx_data',
       "#{rx_data_batch_base_url}/search_by_job_number", :get,
       {
         job_number: params[:job_number],
         process_code: batch_process[:batch_process_code]
       }
     )
     render json: resp
   rescue => e
     render json: {error: "Internal Server Error", details: e}, status: :internal_server_error
   end

  private

  def rx_data_batch_base_url
    "/api/batches"
  end
end
