import * as React from "react";
import {observer} from "mobx-react-lite";
import {Divider, Grid, makeStyles, Theme} from "@material-ui/core";
import {Conditional, IfFalse, IfTrue, PaddedPaper} from "@rx-suite/ui";
import {ArSectorNavigation} from "../sector_edit/ArSectorNavigation";
import {ArSectorEditor} from "../sector_edit/ArSectorEditor";
import {ArSectorEditToolbar} from "../sector_edit/toolbar/ArSectorEditToolbar";
import {BatchEditToolbar} from "../../../batch_workstations/toolbar/BatchEditToolbar";
import {useBatchManagerContext} from "../../../hooks/useBatchManagerContext";
import {ArBatchManager} from "../../../../objects/batch_workstation_manager/ArBatchManager";
import {ArSectorSelectForm} from "../sector_edit/ArSectorSelectForm";

const useStyles = makeStyles((theme: Theme) => ({
        mainContentWrapper: {
            flexGrow: 1
        }
    })
);

export const ArBatchEdit: React.FunctionComponent = observer(({}) => {
    const classes = useStyles();

    const manager = useBatchManagerContext() as ArBatchManager;

    return (
        <React.Fragment>
            <BatchEditToolbar/>
            <Grid container>
                <ArSectorNavigation/>
                <PaddedPaper className={classes.mainContentWrapper}>
                    <Conditional condition={manager.currentSector.isInitialized}>
                        <IfTrue>
                            <ArSectorEditToolbar/>
                            <Divider/>
                            <ArSectorEditor/>
                        </IfTrue>
                        <IfFalse>
                            <ArSectorSelectForm/>
                        </IfFalse>
                    </Conditional>
                </PaddedPaper>
            </Grid>
        </React.Fragment>
    )
});