import * as React from "react";
import {observer} from "mobx-react-lite";
import {Box, Grid, makeStyles, Theme, Typography} from "@material-ui/core";
import {BatchDisplayInfo} from "../../../objects/batch_workstation_manager/BatchManager";
import {grey} from "@material-ui/core/colors";

type BatchToolBarBatchInfoListProps = {
   data: BatchDisplayInfo[];
};

const useStyles = makeStyles((theme: Theme) => ({
        label: {
            fontWeight: 'bold',
            color: grey[600],
            lineHeight: '0.75',
        }
    })
);

export const BatchToolBarBatchInfoList: React.FunctionComponent<BatchToolBarBatchInfoListProps> = observer(({data}) => {
    const classes = useStyles();

    return (
      <Grid container>
          {
              data.map((item) => {
                  return (
                      <Box mr={8} mt={1}>
                          <Typography variant={'subtitle1'} className={classes.label}>{item.label}</Typography>
                          <Typography variant={'subtitle2'}>{item.value}</Typography>
                      </Box>
                  )
              })
          }
      </Grid>
    )
});

