import * as React from "react";
import {observer} from "mobx-react-lite";
import {Box, LinearProgress, Typography} from "@material-ui/core";

type LoaderWithTextProps = {
    message: string;
}

export const LoaderWithText: React.FunctionComponent<LoaderWithTextProps> = observer(({message}) => {

    return (
        <Box>
            <LinearProgress/>
            <Typography variant={"caption"}>
                {message}
            </Typography>
        </Box>
    );
});

