import {ModelTableActionButtonProps, ModelTableButton} from "@rx-suite/ui";
import * as React from "react";
import {observer} from "mobx-react-lite";
import {Edit} from "@material-ui/icons";

type CustomEditButtonProps = {
    onClick: () => void;
} & ModelTableActionButtonProps;

export const CustomEditButton: React.FunctionComponent<CustomEditButtonProps> = observer(({
                                                                                                      store,
                                                                                                      model,
                                                                                                      onClick
                                                                                                  }) => {
    return <ModelTableButton
        verb="update"
        disabled={!model.isUserReadable}
        store={store}
        onClick={onClick}
    >
        <Edit/>
    </ModelTableButton>;
});