import {ModelTableActionButtonProps, ModelTableButton} from "@rx-suite/ui";
import * as React from "react";
import {observer} from "mobx-react-lite";
import OpenInBrowser from "@material-ui/icons/OpenInBrowser";

type CustomEditButtonProps = {
    onClick: () => void;
} & ModelTableActionButtonProps;

export const CustomReadButton: React.FunctionComponent<CustomEditButtonProps> = observer(({
                                                                                              store,
                                                                                              model,
                                                                                              onClick
                                                                                          }) => {
    return <ModelTableButton
        verb="read"
        disabled={!model.isUserReadable}
        store={store}
        onClick={onClick}
    >
        <OpenInBrowser/>
    </ModelTableButton>;
});