import * as React from "react";
import {observer} from "mobx-react-lite";
import {Trans} from "@lingui/macro";
import {useBatchManagerContext} from "../../../components/hooks/useBatchManagerContext";
import {Alert} from "@material-ui/lab";
import {BatchWorkstationSavingForm} from "../../../components/batch_workstations/generic_forms/BatchWorkstationSavingForm";
import {BatchWorkstationCompletedForm} from "../../../components/batch_workstations/generic_forms/BatchWorkstationCompletedForm";
import {BatchWorkstationErrorForm} from "../../../components/batch_workstations/generic_forms/BatchWorkstationErrorForm";

export const BatchingWorkstationFormRouter: React.FunctionComponent = observer(({}) => {
    const manager = useBatchManagerContext();

    switch (manager.state) {
        case 'new':
            return <manager.newView/>;
        case 'editing':
            return <manager.editView/>
        case 'summary':
            return <manager.summaryView data={manager.serializedBatchData} manager={manager}/>
        case 'saving':
            return <BatchWorkstationSavingForm/>
        case 'completed':
            return <BatchWorkstationCompletedForm/>
        case 'error':
            return <BatchWorkstationErrorForm/>
    }

    return (
        <Alert severity={'error'}>
            <Trans>Something went wrong while loading this workstation. Please try reloading the page or contact support.</Trans>
        </Alert>
    );
});
