import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/batch_container_batch_workstations",
        permissionTarget: "BatchContainerBatchWorkstation",
})

export class BatchContainerBatchWorkstationModel extends Model {

    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute()
    batch_workstation_id: number = 0;

    @attribute()
    batch_container_id: number | null = null;

    constructor() {
        super();
        super.setup();
    }
}

export const BatchContainerBatchWorkstationStore = BatchContainerBatchWorkstationModel.store as DataStore<BatchContainerBatchWorkstationModel>;