import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {DomeSide} from "../objects/batch_workstation_manager/ArBatchManager";
import {computed} from "mobx";

@model({
    transportLayer: "/api/box_coater_recipes",
})

export class BoxCoaterRecipeModel extends Model {

    @attribute()
    name: string = '';

    @attribute()
    recipe_code: string = '';

    @attribute()
    dome_side: DomeSide = 'CC';

    @computed
    get isConcaveRecipe(): boolean {
        return this.dome_side === 'CC' || this.dome_side === 'both';
    }

    @computed
    get isConvexRecipe(): boolean {
        return this.dome_side === 'CX' || this.dome_side === 'both';
    }

    constructor() {
        super();
        super.setup(); // This registers the observable attributes and viewModel
    }
}

export const BoxCoaterRecipeStore = BoxCoaterRecipeModel.store as unknown as DataStore<BoxCoaterRecipeModel>;