class BatchContainerComponent < ApplicationRecord
  belongs_to :batch_container
  has_one_attached :component_image

  enum component_type: [:batch_position, :batch_image]

  def is_batch_position?
    component_type == 'batch_position'
  end

  def is_batch_image?
    component_type == 'batch_image'
  end

  def image_url
    return nil unless component_image&.attached?
    "/api/batch_container_components/#{id}/image"
  end
end
