class BatchProcess < ApplicationRecord
  has_many :batch_templates, dependent: :destroy
  has_many :batch_containers, dependent: :destroy

  def self.seed
    ar_coating = BatchProcess.find_by_batch_process_code('ar_coating')

    if ar_coating.nil?
      p 'Seeding AR Coating...'
      ar_coating = BatchProcess.new(
        name: 'AR Coating',
        batch_process_code: 'ar_coating'
      )

      ar_coating.save
    end
  end
end
