begin
  APPLICATION_ROOT = ARGV[0]
  raise "No application root supplied" unless APPLICATION_ROOT && APPLICATION_ROOT != ''

  module RxModule
    require 'win32/daemon'
    require 'puma'
    require 'puma/configuration'
    require 'dotenv'
    include Win32

    class WindowsService < Daemon
      def get_server_runner
        runner = nil
        Dir.chdir(APPLICATION_ROOT) do
          Dotenv.load
          runner = Puma::Launcher.new(Puma::Configuration.new do |c|
            if false #ssl_key_path && ssl_certificate_path #todo
              #c.bind "ssl://0.0.0.0:#{ENV['MODULE_PORT'] || 3000}?key=#{ssl_key_path}&cert=#{ssl_certificate_path}"
            else
              c.bind "tcp://0.0.0.0:#{ENV['MODULE_PORT']}"
            end
          end, events: Puma::Events.stdio)
        end
        runner
      end

      def service_init
        Dir.chdir(APPLICATION_ROOT) do
          @puma = get_server_runner
        end
      end

      def service_main
        Dir.chdir(APPLICATION_ROOT) do
          @puma.run
        end
      end

      def service_pause
        Dir.chdir(APPLICATION_ROOT) do
          @puma.halt
        end
      end

      def service_resume
        Dir.chdir(APPLICATION_ROOT) do
          @puma.run
        end
      end

      def service_stop
        Dir.chdir(APPLICATION_ROOT) do
          @puma.stop
        end
      end
    end

    WindowsService.mainloop
  end
rescue StandardError => err
  begin
    Dir.chdir(APPLICATION_ROOT) do
      File.open("./service-log.txt", 'w') do |f|
        f.puts Time.now
        f.puts err.message
        f.puts err.backtrace.join("\n\t")
      end
    end
  rescue StandardError => dirErr
    Dir.chdir(__dir__) do
      File.open("./service-log.txt", 'w') do |f|
        f.puts Time.now
        f.puts err.message
        f.puts err.backtrace.join("\n\t")
      end
    end
  end
end
