Rails.application.routes.draw do
  mount RxModule::Engine => "/api/rx_module"
  scope :api, defaults: { format: :json } do
    resources :batch_containers, only: [:index, :show, :destroy] do
      collection do
        post :save
      end
    end
    resources :batch_container_components, only: [:index, :show] do
      member do
        get :image
      end
    end
    resources :batch_workstations do
      member do
        post :job_call
        get :current_batch

        put :save_current_batch
        put :set_state

        post :create_external_batch
        post :batch_save_response
      end
    end
    resources :batches, only: [:index, :show, :update] do
      collection do
        get "/get_rx_data_batch/:batch_id" => "batches#get_rx_data_batch"
        get "/get_batch_by_job_number" => "batches#get_batch_by_job_number"
      end
    end
    resources :batch_processes, only: [:index, :show, :update]
    resources :batch_container_batch_workstations
    resources :box_coater_recipes, only: [:index]
    end
  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
