# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_02_07_163630) do

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "batch_container_batch_workstations", force: :cascade do |t|
    t.bigint "batch_container_id", null: false
    t.bigint "batch_workstation_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_container_id"], name: "index_batch_container_batch_workstations_on_batch_container_id"
    t.index ["batch_workstation_id"], name: "index_batch_container_batch_workstations_on_batch_workstation_id"
  end

  create_table "batch_container_components", force: :cascade do |t|
    t.integer "component_type"
    t.integer "position"
    t.float "x"
    t.float "y"
    t.float "width"
    t.float "height"
    t.integer "z_index"
    t.float "aspect_ratio"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "batch_container_id"
    t.index ["batch_container_id"], name: "index_batch_container_components_on_batch_container_id"
  end

  create_table "batch_containers", force: :cascade do |t|
    t.bigint "batch_process_id", null: false
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_process_id"], name: "index_batch_containers_on_batch_process_id"
  end

  create_table "batch_processes", force: :cascade do |t|
    t.string "name"
    t.string "batch_process_code"
  end

  create_table "batch_workstation_current_batches", force: :cascade do |t|
    t.bigint "batch_workstation_id", null: false
    t.text "data"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_workstation_id"], name: "index_batch_workstation_current_batches_on_batch_workstation_id"
  end

  create_table "batch_workstations", force: :cascade do |t|
    t.string "name"
    t.bigint "batch_process_id", null: false
    t.integer "data_source"
    t.integer "external_dcs_id"
    t.string "tags"
    t.integer "state", default: 0
    t.text "last_save_response"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["batch_process_id"], name: "index_batch_workstations_on_batch_process_id"
  end

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "batch_container_batch_workstations", "batch_containers", on_delete: :cascade
  add_foreign_key "batch_container_batch_workstations", "batch_workstations", on_delete: :cascade
  add_foreign_key "batch_container_components", "batch_containers", on_delete: :cascade
  add_foreign_key "batch_containers", "batch_processes", on_delete: :cascade
  add_foreign_key "batch_workstation_current_batches", "batch_workstations", on_delete: :cascade
  add_foreign_key "batch_workstations", "batch_processes"
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
